# eric6.Helpviewer.Network.SchemeAccessHandler

Module implementing the base class for specific scheme access handlers.

### Global Attributes

None

### Classes

SchemeAccessHandler | Clase implementing the base class for specific scheme access handlers.

### Functions

None

## SchemeAccessHandler

Clase implementing the base class for specific scheme access handlers.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

SchemeAccessHandler | Constructor
createRequest | Public method to create a request.

### Static Methods

None

#### SchemeAccessHandler (Constructor)

SchemeAccessHandler(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### SchemeAccessHandler.createRequest

createRequest(op, request, outgoingData=None)

Public method to create a request.

op
  the operation to be performed (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
outgoingData
  reference to an IODevice containing data to be sent (QIODevice)

Returns:
  reference to the created reply object (QNetworkReply)

Raises NotImplementedError:
  raised to indicate that the method must be implemented by a subclass

Up